Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class ValueDomainPropertyBundleDefinition

    java.lang.Object
      oracle.ifs.beans.LibraryObjectDefinition
          oracle.ifs.beans.PublicObjectDefinition
              oracle.ifs.beans.ApplicationObjectDefinition
                  oracle.ifs.beans.PropertyBundleDefinition
                      oracle.ifs.beans.ValueDomainPropertyBundleDefinition

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class ValueDomainPropertyBundleDefinition

extends PropertyBundleDefinition

A ValueDomainPropertyBundleDefinition is a template for creating a new ValueDomainPropertyBundle.

See Also:
  Serialized Form
(Published)

Field Summary

Fields inherited from class oracle.ifs.beans.LibraryObjectDefinition
`m_Attributes, m_ClassObjectName, m_ClassObjectValue, m_ContentSpecifications, m_DefinitionLists, m_Definitions, m_EnclosedDefinition, m_Id, m_Options, m_ReadOnly, m_ReferenceAttributes, m_Session, m_SystemOptions`

Constructor Summary
`ValueDomainPropertyBundleDefinition(LibrarySessionInterface session)` Constructs a Definition explicitly capturing the session.
`ValueDomainPropertyBundleDefinition(LibrarySessionInterface session, java.lang.String className)` Constructs a Definition, explicitly capturing the session and setting the initial classobject.

Method Summary
`void` | `copyInto(LibraryObjectDefinition lodef)` Copy the contents of the target Definition into the specified Definition.
`AttributeValue` | `getPropertyValue()` Gets the values allowed for the new ValueDomainPropertyBundle, as an array-type AttributeValue.
`void` | `setEnumeratedValues(java.util.Date[] values)` Sets the allowed values for the new ValueDomainPropertyBundle.
`void` | `setEnumeratedValues(DirectoryObject[] values)` Sets the allowed values for the new ValueDomainPropertyBundle.
`void` | `setEnumeratedValues(int[] values)` Sets the allowed values for the new ValueDomainPropertyBundle.
`void` | `setEnumeratedValues(java.lang.Integer[] values)` Sets the allowed values for the new ValueDomainPropertyBundle.
`void` | `setEnumeratedValues(long[] values)` Sets the allowed values for the new ValueDomainPropertyBundle.
`void` | `setEnumeratedValues(java.lang.Long[] values)` Sets the allowed values for the new ValueDomainPropertyBundle.
`void` | `setEnumeratedValues(PublicObject[] values)` Sets the allowed values for the new ValueDomainPropertyBundle.
`void` | `setEnumeratedValues(SchemaObject[] values)` Sets the allowed values for the new ValueDomainPropertyBundle.
`void` | `setEnumeratedValues(java.lang.String[] values)` Sets the allowed values for the new ValueDomainPropertyBundle.
`void` | `setEnumeratedValues(SystemObject[] values)` Sets the allowed values for the new ValueDomainPropertyBundle.
`void` | `setExclusiveMaximumValue(java.util.Date maximum)` Sets the maximum (exclusive) values for the new ValueDomainPropertyBundle.
`void` | `setExclusiveMaximumValue(double maximum)` Sets the maximum (exclusive) values for the new ValueDomainPropertyBundle.
`void` | `setExclusiveMaximumValue(java.lang.Double maximum)` Sets the maximum (exclusive) values for the new ValueDomainPropertyBundle.
`void` | `setExclusiveMaximumValue(int maximum)` Sets the maximum (exclusive) values for the new ValueDomainPropertyBundle.
`void` | `setExclusiveMaximumValue(java.lang.Integer maximum)` Sets the maximum (exclusive) values for the new ValueDomainPropertyBundle.
`void` | `setExclusiveMaximumValue(long maximum)` Sets the maximum (exclusive) values for the new ValueDomainPropertyBundle.
`void` | `setExclusiveMaximumValue(java.lang.Long maximum)` Sets the maximum (exclusive) values for the new ValueDomainPropertyBundle.
`void` | `setExclusiveMinimumValue(java.util.Date minimum)` Sets the minimum (exclusive) values for the new ValueDomainPropertyBundle.
`void` | `setExclusiveMinimumValue(double minimum)` Sets the minimum (exclusive) values for the new ValueDomainPropertyBundle.
`void` | `setExclusiveMinimumValue(java.lang.Double minimum)` Sets the minimum (exclusive) values for the new ValueDomainPropertyBundle.
`void` | `setExclusiveMinimumValue(int minimum)` Sets the minimum (exclusive) values for the new ValueDomainPropertyBundle.
`void` | `setExclusiveMinimumValue(java.lang.Integer minimum)` Sets the minimum (exclusive) values for the new ValueDomainPropertyBundle.
`void` | `setExclusiveMinimumValue(long minimum)` Sets the minimum (exclusive) values for the new ValueDomainPropertyBundle.
`void` | `setExclusiveMinimumValue(java.lang.Long minimum)` Sets the minimum (exclusive) values for the new ValueDomainPropertyBundle.
`void` | `setExclusiveValueRange(java.util.Date minimum, java.util.Date maximum)` Sets the minimum (exclusive) and maximum (exclusive) allowed values for the new ValueDomainPropertyBundle.
`void` | `setExclusiveValueRange(double minimum, double maximum)` Sets the minimum (exclusive) and maximum (exclusive) allowed values for the new ValueDomainPropertyBundle.
`void` | `setExclusiveValueRange(java.lang.Double minimum, java.lang.Double maximum)` Sets the minimum (exclusive) and maximum (exclusive) allowed values for the new ValueDomainPropertyBundle.
`void` | `setExclusiveValueRange(java.lang.Integer minimum, java.lang.Integer maximum)` Sets the minimum (exclusive) and maximum (exclusive) allowed values for the new ValueDomainPropertyBundle.
`void` | `setExclusiveValueRange(int minimum, int maximum)` Sets the minimum (exclusive) and maximum (exclusive) allowed values for the new ValueDomainPropertyBundle.
`void` | `setExclusiveValueRange(long minimum, long maximum)` Sets the minimum (exclusive) and maximum (exclusive) allowed values for the new ValueDomainPropertyBundle.
`void` | `setExclusiveValueRange(java.lang.Long minimum, java.lang.Long maximum)` Sets the minimum (exclusive) and maximum (exclusive) allowed values for the new ValueDomainPropertyBundle.
`void` | `setMaximumValue(java.util.Date maximum)` Sets the maximum (inclusive) values for the new ValueDomainPropertyBundle.
`void` | `setMaximumValue(double maximum)` Sets the maximum (inclusive) values for the new ValueDomainPropertyBundle.
`void` | `setMaximumValue(java.lang.Double maximum)` Sets the maximum (inclusive) values for the new ValueDomainPropertyBundle.
`void` | `setMaximumValue(int maximum)` Sets the maximum (inclusive) values for the new ValueDomainPropertyBundle.
`void` | `setMaximumValue(java.lang.Integer maximum)` Sets the maximum (inclusive) values for the new ValueDomainPropertyBundle.
`void` | `setMaximumValue(long maximum)` Sets the maximum (inclusive) values for the new ValueDomainPropertyBundle.
`void` | `setMaximumValue(java.lang.Long maximum)` Sets the maximum (inclusive) values for the new ValueDomainPropertyBundle.
`void` | `setMinimumValue(java.util.Date minimum)` Sets the minimum (inclusive) values for the new ValueDomainPropertyBundle.
`void` | `setMinimumValue(double minimum)` Sets the minimum (inclusive) values for the new ValueDomainPropertyBundle.
`void` | `setMinimumValue(java.lang.Double minimum)` Sets the minimum (inclusive) values for the new ValueDomainPropertyBundle.
`void` | `setMinimumValue(int minimum)` Sets the minimum (inclusive) values for the new ValueDomainPropertyBundle.
`void` | `setMinimumValue(java.lang.Integer minimum)` Sets the minimum (inclusive) values for the new ValueDomainPropertyBundle.
`void` | `setMinimumValue(long minimum)` Sets the minimum (inclusive) values for the new ValueDomainPropertyBundle.
`void` | `setMinimumValue(java.lang.Long minimum)` Sets the minimum (inclusive) values for the new ValueDomainPropertyBundle.
`void` | `setValueRange(java.util.Date minimum, java.util.Date maximum)` Sets the minimum (inclusive) and maximum (inclusive) allowed values for the new ValueDomainPropertyBundle.
`void` | `setValueRange(double minimum, double maximum)` Sets the minimum (inclusive) and maximum (inclusive) allowed values for the new ValueDomainPropertyBundle.
`void` | `setValueRange(java.lang.Double minimum, java.lang.Double maximum)` Sets the minimum (inclusive) and maximum (inclusive) allowed values for the new ValueDomainPropertyBundle.
`void` | `setValueRange(java.lang.Integer minimum, java.lang.Integer maximum)` Sets the minimum (inclusive) and maximum (inclusive) allowed values for the new ValueDomainPropertyBundle.
`void` | `setValueRange(int minimum, int maximum)` Sets the minimum (inclusive) and maximum (inclusive) allowed values for the new ValueDomainPropertyBundle.
`void` | `setValueRange(long minimum, long maximum)` Sets the minimum (inclusive) and maximum (inclusive) allowed values for the new ValueDomainPropertyBundle.
`void` | `setValueRange(java.lang.Long minimum, java.lang.Long maximum)` Sets the minimum (inclusive) and maximum (inclusive) allowed values for the new ValueDomainPropertyBundle.
`void` | `setValues(int domainType, AttributeValue av)` Sets the domain type, data type, and values of the new ValueDomainPropertyBundle.
`static ValueDomainPropertyBundleDefinition` | `toValueDomainPropertyBundleDefinition(LibraryObjectDefinition lodef)` Cast specified LibraryObjectDefinition to a ValueDomainPropertyBundleDefinition.
`static ValueDomainPropertyBundleDefinition` | `toValueDomainPropertyBundleDefinition(LibraryObjectDefinition lodef, boolean enforceCompat)` Cast specified LibraryObjectDefinition to a ValueDomainPropertyBundleDefinition.

Methods inherited from class oracle.ifs.beans.PropertyBundleDefinition
`addPropertyDefinition, addPropertyDefinitions, addPropertyValue, addPropertyValue, getPropertyDefinitions, removePropertyDefinitions, setPropertyDefinitions, toPropertyBundleDefinition`

Methods inherited from class oracle.ifs.beans.PublicObjectDefinition
`addCategoryDefinition, addCategoryDefinitions, getAddToFolderOption, getAddToFolderValue, getAutoFolderingActionSpecification, getCascadeCopyRelationshipsOption, getCascadeCopyRelationshipsOptionValue, getCategoryCopyOption, getCategoryDefinitions, getContentQuotaCopyOption, getCreateCategoriesServerSideOption, getExplicitCreateAndModifyAttributesOption, getExplicitCreateDate, getExplicitLastModifyDate, getFreeIfLastFolderReferenceOption, getKeepLastModifierOption, getKeepLastModifyDateOption, getLockEntryDefinition, getLockObject, getLockObjectDefinition, getLockObjectValue, getSecuringPublicObject, getSecuringPublicObjectValue, getUpdatedLockObjectDefinition, removeCategoryDefinitions, removeLockEntryDefinition, setAddToFolderOption, setAddToFolderValue, setAutoFolderingActionSpecification, setAutoFolderingActionSpecification, setCascadeCopyRelationshipsOption, setCategoryCopyOption, setCategoryDefinitions, setContentQuotaCopyOption, setCreateCategoriesServerSideOption, setExplicitCreateAndModifyAttributesOption, setExplicitCreateDate, setExplicitLastModifyDate, setFreeIfLastFolderReferenceOption, setKeepLastModifierOption, setKeepLastModifyDateOption, setLockEntryDefinition, setLockObject, setLockObjectDefinition, setLockObjectValue, setNullSecurity, setPrivateSecurity, setSecuringPublicObject, setSecuringPublicObjectValue, setUpdatedLockObjectDefinition, toPublicObjectDefinition, toPublicObjectDefinition`

Methods inherited from class oracle.ifs.beans.LibraryObjectDefinition
`addDefinition, addDefinitions, addProperty, captureSession, captureSession, captureSession, clone, constructInstance, constructInstance, getAttribute, getAttribute, getAttributes, getAttributes, getAttributesSorted, getClassId, getClassObject, getClassObjectValue, getContentSpecification, getContentSpecificationKeys, getCopiedObjectValue, getDefinition, getDefinitionClassName, getDefinitionKeys, getDefinitionListKeys, getDefinitions, getId, getLibrarySession, getName, getOption, getOptionAsAttributeValue, getOptionKeys, getPolicyMode, getReferenceAttribute, getReferenceAttributes, getServerDefinition, getSession, getSLibrarySession, getStringAttribute, getSystemOption, getSystemOptionAsAttributeValue, getSystemOptionAsBoolean, getSystemOptionKeys, getWriteableInstance, isReadOnly, prepareForDefinitionObject, removeAttribute, removeContentSpecification, removeDefinition, removeDefinitions, removeOption, removeReferenceAttribute, removeSystemOption, reset, resolve, setAttribute, setAttribute, setAttribute, setAttributeByUpperCaseName, setAttributeByUpperCaseName, setAttributePolicyMode, setAttributes, setClassId, setClassname, setClassObject, setClassObjectValue, setContentSpecification, setCopiedObjectValue, setDefinition, setDefinitions, setId, setName, setOption, setReadOnly, setReferenceAttribute, setReferenceAttribute, setSession, setSystemOption, unresolve, verifySession`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValueDomainPropertyBundleDefinition

    public ValueDomainPropertyBundleDefinition(LibrarySessionInterface session)
                                        throws IfsException

  Constructs a Definition explicitly capturing the session. The initial ClassObject will be ValueDomainPropertyBundle.

  Parameters:
    `session` - the current session
  Throws:
    `IfsException` - if the operation fails
  (Published)

### ValueDomainPropertyBundleDefinition

    public ValueDomainPropertyBundleDefinition(LibrarySessionInterface session,
                                               java.lang.String className)
                                        throws IfsException

  Constructs a Definition, explicitly capturing the session and setting the initial classobject.

  Parameters:
    `session` - the current session
    `className` - the initial class name
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Method Detail

### copyInto

    public void copyInto(LibraryObjectDefinition lodef)
                  throws IfsException

  Description copied from class: `ValueDomainPropertyBundleDefinition`
  Copy the contents of the target Definition into the specified Definition.

  Overrides:
    `copyInto` in class `LibraryObjectDefinition`
  Parameters:
    `lodef` - The definition which gets set with the information contained in the target definition
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setEnumeratedValues

    public final void setEnumeratedValues(int[] values)
                                   throws IfsException

  Description copied from class: `ValueDomainPropertyBundleDefinition`
  Sets the allowed values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have an `INTEGER` data type and a domain type of `VALUEDOMAINTYPE_ENUMERATED`.

  Parameters:
    `values` - the values
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setEnumeratedValues

    public final void setEnumeratedValues(java.lang.Integer[] values)
                                   throws IfsException

  Description copied from class: `ValueDomainPropertyBundleDefinition`
  Sets the allowed values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have an `INTEGER` data type and a domain type of `VALUEDOMAINTYPE_ENUMERATED`.

  Parameters:
    `values` - the values
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setEnumeratedValues

    public final void setEnumeratedValues(long[] values)
                                   throws IfsException

  Description copied from class: `ValueDomainPropertyBundleDefinition`
  Sets the allowed values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `LONG` data type and a domain type of `VALUEDOMAINTYPE_ENUMERATED`.

  Parameters:
    `values` - the values
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setEnumeratedValues

    public final void setEnumeratedValues(java.lang.Long[] values)
                                   throws IfsException

  Description copied from class: `ValueDomainPropertyBundleDefinition`
  Sets the allowed values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `LONG` data type and a domain type of `VALUEDOMAINTYPE_ENUMERATED`.

  Parameters:
    `values` - the values
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setEnumeratedValues

    public final void setEnumeratedValues(java.lang.String[] values)
                                   throws IfsException

  Description copied from class: `ValueDomainPropertyBundleDefinition`
  Sets the allowed values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `STRING` data type and a domain type of `VALUEDOMAINTYPE_ENUMERATED`.

  Parameters:
    `values` - the values
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setEnumeratedValues

    public final void setEnumeratedValues(java.util.Date[] values)
                                   throws IfsException

  Description copied from class: `ValueDomainPropertyBundleDefinition`
  Sets the allowed values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `DATE` data type and a domain type of `VALUEDOMAINTYPE_ENUMERATED`.

  Parameters:
    `values` - the values
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setEnumeratedValues

    public final void setEnumeratedValues(SchemaObject[] values)
                                   throws IfsException

  Description copied from class: `ValueDomainPropertyBundleDefinition`
  Sets the allowed values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `SCHEMAOBJECT` data type and a domain type of `VALUEDOMAINTYPE_ENUMERATED`.

  Parameters:
    `values` - the values
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setEnumeratedValues

    public final void setEnumeratedValues(SystemObject[] values)
                                   throws IfsException

  Description copied from class: `ValueDomainPropertyBundleDefinition`
  Sets the allowed values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `SYSTEMOBJECT` data type and a domain type of `VALUEDOMAINTYPE_ENUMERATED`.

  Parameters:
    `values` - the values
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setEnumeratedValues

    public final void setEnumeratedValues(PublicObject[] values)
                                   throws IfsException

  Description copied from class: `ValueDomainPropertyBundleDefinition`
  Sets the allowed values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `PUBLICOBJECT` data type and a domain type of `VALUEDOMAINTYPE_ENUMERATED`.

  Parameters:
    `values` - the values
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setEnumeratedValues

    public final void setEnumeratedValues(DirectoryObject[] values)
                                   throws IfsException

  Description copied from class: `ValueDomainPropertyBundleDefinition`
  Sets the allowed values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `DIRECTORYOBJECT` data type and a domain type of `VALUEDOMAINTYPE_ENUMERATED`.

  Parameters:
    `values` - the values
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setValueRange

    public final void setValueRange(int minimum,
                                    int maximum)
                             throws IfsException

  Description copied from class: `ValueDomainPropertyBundleDefinition`
  Sets the minimum (inclusive) and maximum (inclusive) allowed values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `INTEGER` data type and a domain type of `VALUEDOMAINTYPE_RANGE`.

  Parameters:
    `minimum` - the minimum value
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setValueRange

    public final void setValueRange(java.lang.Integer minimum,
                                    java.lang.Integer maximum)
                             throws IfsException

  Description copied from class: `ValueDomainPropertyBundleDefinition`
  Sets the minimum (inclusive) and maximum (inclusive) allowed values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `INTEGER` data type and a domain type of `VALUEDOMAINTYPE_RANGE`.

  Parameters:
    `minimum` - the minimum value
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setValueRange

    public final void setValueRange(long minimum,
                                    long maximum)
                             throws IfsException

  Description copied from class: `ValueDomainPropertyBundleDefinition`
  Sets the minimum (inclusive) and maximum (inclusive) allowed values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `LONG` data type and a domain type of `VALUEDOMAINTYPE_RANGE`.

  Parameters:
    `minimum` - the minimum value
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setValueRange

    public final void setValueRange(java.lang.Long minimum,
                                    java.lang.Long maximum)
                             throws IfsException

  Description copied from class: `ValueDomainPropertyBundleDefinition`
  Sets the minimum (inclusive) and maximum (inclusive) allowed values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `LONG` data type and a domain type of `VALUEDOMAINTYPE_RANGE`.

  Parameters:
    `minimum` - the minimum value
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setValueRange

    public final void setValueRange(double minimum,
                                    double maximum)
                             throws IfsException

  Description copied from class: `ValueDomainPropertyBundleDefinition`
  Sets the minimum (inclusive) and maximum (inclusive) allowed values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `DOUBLE` data type and a domain type of `VALUEDOMAINTYPE_RANGE`.

  Parameters:
    `minimum` - the minimum value
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setValueRange

    public final void setValueRange(java.lang.Double minimum,
                                    java.lang.Double maximum)
                             throws IfsException

  Description copied from class: `ValueDomainPropertyBundleDefinition`
  Sets the minimum (inclusive) and maximum (inclusive) allowed values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `DOUBLE` data type and a domain type of `VALUEDOMAINTYPE_RANGE`.

  Parameters:
    `minimum` - the minimum value
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setValueRange

    public final void setValueRange(java.util.Date minimum,
                                    java.util.Date maximum)
                             throws IfsException

  Description copied from class: `ValueDomainPropertyBundleDefinition`
  Sets the minimum (inclusive) and maximum (inclusive) allowed values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `DATE` data type and a domain type of `VALUEDOMAINTYPE_RANGE`.

  Parameters:
    `minimum` - the minimum value
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setMinimumValue

    public final void setMinimumValue(int minimum)
                               throws IfsException

  Description copied from class: `ValueDomainPropertyBundleDefinition`
  Sets the minimum (inclusive) values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `INTEGER` data type and a domain type of `VALUEDOMAINTYPE_MINIMUM`.

  Parameters:
    `minimum` - the minimum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setMinimumValue

    public final void setMinimumValue(java.lang.Integer minimum)
                               throws IfsException

  Description copied from class: `ValueDomainPropertyBundleDefinition`
  Sets the minimum (inclusive) values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `INTEGER` data type and a domain type of `VALUEDOMAINTYPE_MINIMUM`.

  Parameters:
    `minimum` - the minimum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setMinimumValue

    public final void setMinimumValue(long minimum)
                               throws IfsException

  Description copied from class: `ValueDomainPropertyBundleDefinition`
  Sets the minimum (inclusive) values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `LONG` data type and a domain type of `VALUEDOMAINTYPE_MINIMUM`.

  Parameters:
    `minimum` - the minimum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setMinimumValue

    public final void setMinimumValue(java.lang.Long minimum)
                               throws IfsException

  Description copied from class: `ValueDomainPropertyBundleDefinition`
  Sets the minimum (inclusive) values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `LONG` data type and a domain type of `VALUEDOMAINTYPE_MINIMUM`.

  Parameters:
    `minimum` - the minimum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setMinimumValue

    public final void setMinimumValue(double minimum)
                               throws IfsException

  Description copied from class: `ValueDomainPropertyBundleDefinition`
  Sets the minimum (inclusive) values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `DOUBLE` data type and a domain type of `VALUEDOMAINTYPE_MINIMUM`.

  Parameters:
    `minimum` - the minimum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setMinimumValue

    public final void setMinimumValue(java.lang.Double minimum)
                               throws IfsException

  Description copied from class: `ValueDomainPropertyBundleDefinition`
  Sets the minimum (inclusive) values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `DOUBLE` data type and a domain type of `VALUEDOMAINTYPE_MINIMUM`.

  Parameters:
    `minimum` - the minimum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setMinimumValue

    public final void setMinimumValue(java.util.Date minimum)
                               throws IfsException

  Description copied from class: `ValueDomainPropertyBundleDefinition`
  Sets the minimum (inclusive) values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `DATE` data type and a domain type of `VALUEDOMAINTYPE_MINIMUM`.

  Parameters:
    `minimum` - the minimum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setMaximumValue

    public final void setMaximumValue(int maximum)
                               throws IfsException

  Description copied from class: `ValueDomainPropertyBundleDefinition`
  Sets the maximum (inclusive) values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `INTEGER` data type and a domain type of `VALUEDOMAINTYPE_MAXIMUM`.

  Parameters:
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setMaximumValue

    public final void setMaximumValue(java.lang.Integer maximum)
                               throws IfsException

  Description copied from class: `ValueDomainPropertyBundleDefinition`
  Sets the maximum (inclusive) values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `INTEGER` data type and a domain type of `VALUEDOMAINTYPE_MAXIMUM`.

  Parameters:
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setMaximumValue

    public final void setMaximumValue(long maximum)
                               throws IfsException

  Description copied from class: `ValueDomainPropertyBundleDefinition`
  Sets the maximum (inclusive) values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `LONG` data type and a domain type of `VALUEDOMAINTYPE_MAXIMUM`.

  Parameters:
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setMaximumValue

    public final void setMaximumValue(java.lang.Long maximum)
                               throws IfsException

  Description copied from class: `ValueDomainPropertyBundleDefinition`
  Sets the maximum (inclusive) values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `LONG` data type and a domain type of `VALUEDOMAINTYPE_MAXIMUM`.

  Parameters:
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setMaximumValue

    public final void setMaximumValue(double maximum)
                               throws IfsException

  Description copied from class: `ValueDomainPropertyBundleDefinition`
  Sets the maximum (inclusive) values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `DOUBLE` data type and a domain type of `VALUEDOMAINTYPE_MAXIMUM`.

  Parameters:
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setMaximumValue

    public final void setMaximumValue(java.lang.Double maximum)
                               throws IfsException

  Description copied from class: `ValueDomainPropertyBundleDefinition`
  Sets the maximum (inclusive) values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `DOUBLE` data type and a domain type of `VALUEDOMAINTYPE_MAXIMUM`.

  Parameters:
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setMaximumValue

    public final void setMaximumValue(java.util.Date maximum)
                               throws IfsException

  Description copied from class: `ValueDomainPropertyBundleDefinition`
  Sets the maximum (inclusive) values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `DATE` data type and a domain type of `VALUEDOMAINTYPE_MAXIMUM`.

  Parameters:
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setExclusiveValueRange

    public final void setExclusiveValueRange(int minimum,
                                             int maximum)
                                      throws IfsException

  Description copied from class: `ValueDomainPropertyBundleDefinition`
  Sets the minimum (exclusive) and maximum (exclusive) allowed values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `INTEGER` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_RANGE`.

  Parameters:
    `minimum` - the minimum value
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setExclusiveValueRange

    public final void setExclusiveValueRange(java.lang.Integer minimum,
                                             java.lang.Integer maximum)
                                      throws IfsException

  Description copied from class: `ValueDomainPropertyBundleDefinition`
  Sets the minimum (exclusive) and maximum (exclusive) allowed values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `INTEGER` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_RANGE`.

  Parameters:
    `minimum` - the minimum value
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setExclusiveValueRange

    public final void setExclusiveValueRange(long minimum,
                                             long maximum)
                                      throws IfsException

  Description copied from class: `ValueDomainPropertyBundleDefinition`
  Sets the minimum (exclusive) and maximum (exclusive) allowed values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `LONG` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_RANGE`.

  Parameters:
    `minimum` - the minimum value
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setExclusiveValueRange

    public final void setExclusiveValueRange(java.lang.Long minimum,
                                             java.lang.Long maximum)
                                      throws IfsException

  Description copied from class: `ValueDomainPropertyBundleDefinition`
  Sets the minimum (exclusive) and maximum (exclusive) allowed values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `LONG` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_RANGE`.

  Parameters:
    `minimum` - the minimum value
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setExclusiveValueRange

    public final void setExclusiveValueRange(double minimum,
                                             double maximum)
                                      throws IfsException

  Description copied from class: `ValueDomainPropertyBundleDefinition`
  Sets the minimum (exclusive) and maximum (exclusive) allowed values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `DOUBLE` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_RANGE`.

  Parameters:
    `minimum` - the minimum value
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setExclusiveValueRange

    public final void setExclusiveValueRange(java.lang.Double minimum,
                                             java.lang.Double maximum)
                                      throws IfsException

  Description copied from class: `ValueDomainPropertyBundleDefinition`
  Sets the minimum (exclusive) and maximum (exclusive) allowed values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `DOUBLE` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_RANGE`.

  Parameters:
    `minimum` - the minimum value
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setExclusiveValueRange

    public final void setExclusiveValueRange(java.util.Date minimum,
                                             java.util.Date maximum)
                                      throws IfsException

  Description copied from class: `ValueDomainPropertyBundleDefinition`
  Sets the minimum (exclusive) and maximum (exclusive) allowed values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `DATE` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_RANGE`.

  Parameters:
    `minimum` - the minimum value
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setExclusiveMinimumValue

    public final void setExclusiveMinimumValue(int minimum)
                                        throws IfsException

  Description copied from class: `ValueDomainPropertyBundleDefinition`
  Sets the minimum (exclusive) values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `INTEGER` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_MINIMUM`.

  Parameters:
    `minimum` - the minimum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setExclusiveMinimumValue

    public final void setExclusiveMinimumValue(java.lang.Integer minimum)
                                        throws IfsException

  Description copied from class: `ValueDomainPropertyBundleDefinition`
  Sets the minimum (exclusive) values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `INTEGER` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_MINIMUM`.

  Parameters:
    `minimum` - the minimum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setExclusiveMinimumValue

    public final void setExclusiveMinimumValue(long minimum)
                                        throws IfsException

  Description copied from class: `ValueDomainPropertyBundleDefinition`
  Sets the minimum (exclusive) values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `LONG` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_MINIMUM`.

  Parameters:
    `minimum` - the minimum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setExclusiveMinimumValue

    public final void setExclusiveMinimumValue(java.lang.Long minimum)
                                        throws IfsException

  Description copied from class: `ValueDomainPropertyBundleDefinition`
  Sets the minimum (exclusive) values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `LONG` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_MINIMUM`.

  Parameters:
    `minimum` - the minimum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setExclusiveMinimumValue

    public final void setExclusiveMinimumValue(double minimum)
                                        throws IfsException

  Description copied from class: `ValueDomainPropertyBundleDefinition`
  Sets the minimum (exclusive) values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `DOUBLE` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_MINIMUM`.

  Parameters:
    `minimum` - the minimum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setExclusiveMinimumValue

    public final void setExclusiveMinimumValue(java.lang.Double minimum)
                                        throws IfsException

  Description copied from class: `ValueDomainPropertyBundleDefinition`
  Sets the minimum (exclusive) values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `DOUBLE` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_MINIMUM`.

  Parameters:
    `minimum` - the minimum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setExclusiveMinimumValue

    public final void setExclusiveMinimumValue(java.util.Date minimum)
                                        throws IfsException

  Description copied from class: `ValueDomainPropertyBundleDefinition`
  Sets the minimum (exclusive) values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `DATE` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_MINIMUM`.

  Parameters:
    `minimum` - the minimum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setExclusiveMaximumValue

    public final void setExclusiveMaximumValue(int maximum)
                                        throws IfsException

  Description copied from class: `ValueDomainPropertyBundleDefinition`
  Sets the maximum (exclusive) values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `INTEGER` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_MAXIMUM`.

  Parameters:
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setExclusiveMaximumValue

    public final void setExclusiveMaximumValue(java.lang.Integer maximum)
                                        throws IfsException

  Description copied from class: `ValueDomainPropertyBundleDefinition`
  Sets the maximum (exclusive) values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `INTEGER` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_MAXIMUM`.

  Parameters:
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setExclusiveMaximumValue

    public final void setExclusiveMaximumValue(long maximum)
                                        throws IfsException

  Description copied from class: `ValueDomainPropertyBundleDefinition`
  Sets the maximum (exclusive) values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `LONG` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_MAXIMUM`.

  Parameters:
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setExclusiveMaximumValue

    public final void setExclusiveMaximumValue(java.lang.Long maximum)
                                        throws IfsException

  Description copied from class: `ValueDomainPropertyBundleDefinition`
  Sets the maximum (exclusive) values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `LONG` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_MAXIMUM`.

  Parameters:
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setExclusiveMaximumValue

    public final void setExclusiveMaximumValue(double maximum)
                                        throws IfsException

  Description copied from class: `ValueDomainPropertyBundleDefinition`
  Sets the maximum (exclusive) values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `DOUBLE` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_MAXIMUM`.

  Parameters:
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setExclusiveMaximumValue

    public final void setExclusiveMaximumValue(java.lang.Double maximum)
                                        throws IfsException

  Description copied from class: `ValueDomainPropertyBundleDefinition`
  Sets the maximum (exclusive) values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `DOUBLE` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_MAXIMUM`.

  Parameters:
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setExclusiveMaximumValue

    public final void setExclusiveMaximumValue(java.util.Date maximum)
                                        throws IfsException

  Description copied from class: `ValueDomainPropertyBundleDefinition`
  Sets the maximum (exclusive) values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `DATE` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_MAXIMUM`.

  Parameters:
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getPropertyValue

    public AttributeValue getPropertyValue()
                                    throws IfsException

  Description copied from class: `ValueDomainPropertyBundleDefinition`
  Gets the values allowed for the new ValueDomainPropertyBundle, as an array-type AttributeValue.

  The number of elements in the array-type AttributeValue depends on the domain type of the new ValueDomainPropertyBundle:

  - `VALUEDOMAINTYPE_ENUMERATED`: one element for each allowed value
  - `VALUEDOMAINTYPE_RANGE` or `VALUEDOMAINTYPE_ENUMERATED_RANGE`: two elements; [0] is the minimum and [1] is the maximum value
  - `VALUEDOMAINTYPE_MINIMUM` or `VALUEDOMAINTYPE_ENUMERATED_MINIMUM`: one element; [0] is the minimum value
  - `VALUEDOMAINTYPE_MAXIMUM` or `VALUEDOMAINTYPE_ENUMERATED_MAXIMUM`: one element; [0] is the maximum value

  Returns:
    the values
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setValues

    public final void setValues(int domainType,
                                AttributeValue av)
                         throws IfsException

  Description copied from class: `ValueDomainPropertyBundleDefinition`
  Sets the domain type, data type, and values of the new ValueDomainPropertyBundle.

  Parameters:
    `domainType` - the domain type, one of the constants defined in oracle.ifs.beans.ValueDomain
    `av` - the values; implies the data type. Must be have an array data type.
  Throws:
    `IfsException` - if the operation fails
  (Published)

### toValueDomainPropertyBundleDefinition

    public static ValueDomainPropertyBundleDefinition toValueDomainPropertyBundleDefinition(LibraryObjectDefinition lodef)
                                                                                     throws IfsException

  Description copied from class: `ValueDomainPropertyBundleDefinition`
  Cast specified LibraryObjectDefinition to a ValueDomainPropertyBundleDefinition.

  Return null if the specified definition is not a ValueDomainPropertyBundleDefinition, or if the specified definition is null.

  Parameters:
    `lodef` - the definition to be casted
  Returns:
    a ValueDomainPropertyBundleDefinition casted from the specified definition
  Throws:
    `IfsException` - is not currently thrown.
  (Unpublished)

### toValueDomainPropertyBundleDefinition

    public static ValueDomainPropertyBundleDefinition toValueDomainPropertyBundleDefinition(LibraryObjectDefinition lodef,
                                                                                            boolean enforceCompat)
                                                                                     throws IfsException

  Description copied from class: `ValueDomainPropertyBundleDefinition`
  Cast specified LibraryObjectDefinition to a ValueDomainPropertyBundleDefinition.

  Return null if the specified definition is null. If non-null and unable to cast, return null if enforceCompat is false but throw an IfsException if the specified definition is not a ValueDomainPropertyBundleDefinition.

  Parameters:
    `lodef` - the definition to be casted
    `enforceCompat` - whether to throw an exception if a non-null definition cannot be cast
  Returns:
    a ValueDomainPropertyBundleDefinition casted from the specified definition
  Throws:
    `IfsException` - (IFS-10822) if operation fails.
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD